@import url('https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&subset=cyrillic');

html {
    overflow-x: hidden;
}


body {
    background:  rgb(234, 255, 247);/*#B7FFE4;*/
    display: flex;
    flex-direction: column;
    margin: 0px;
}

.uslc {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none;   /* Chrome/Safari/Opera */
    -khtml-user-select: none;    /* Konqueror */
    -moz-user-select: none;      /* Firefox */
    -ms-user-select: none;       /* Internet Explorer/Edge */
    user-select: none;           /* Non-prefixed version, currently
                                    not supported by any browser */
  }

header {
    position: sticky;
    display: flex;
    flex: 0 0;
    height: 130px;
    top: 0;
    background: url(img/Logook.png) no-repeat rgb(234, 255, 247) 40px;
    background-size: 250px;
    z-index: 100;
    width: 100%;
}

.avatar {
    box-sizing: border-box;
    background: url(img/avatar1.jpg) no-repeat center;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    background-size:
    120px,
    cover;
    margin-left: 20px;
    cursor: pointer;
}

.contacts {
    display: flex;
    justify-content: space-around;
    margin-left: auto;
    margin-right: 5%;
    margin-top: 10px;
    line-height: 1.5em;
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    color: #586762;
}

.contacts p {
    margin-top: 20px;
}

.contacts a {
    text-decoration: none;
    color: #586762;
}



.contacts a:hover {
    text-decoration: underline;
    color: rgb(46, 184, 131);
}

.profi {
    position: fixed;
    top: 120px;
    right: 370px;
    height: 10px;
    width: 10px;
    z-index: 101;
    visibility: hidden;
}

.profi.vis {
    visibility: visible;
}

li {
    list-style: none;
}

a.anchor {
    display: block;
    position: relative;
    top: -135px;
    visibility: hidden;
}

nav ul.horizont{
    display: flex;
    flex-direction: row;
    margin-left: 280px;
    margin-top: 70px;

}

nav ul.horizont li a.button-head {
    display: flex;
    flex-direction: column;
    width: 226px;
    height: 43px;

    background: #35D699;
    border: 1px solid #56E991;
    box-sizing: border-box;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 10px;
    
    font-family: Roboto;
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
    line-height: 28px;
    text-align: center;
    line-height: 40px;

    color: #586762;

    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    text-decoration: none;
    margin-left: 55px;
}

nav ul.horizont li a.button-head:focus {
    box-shadow: none;
    background: rgb(46, 184, 131);
    text-shadow: none;
}


main {
    display: flex;
    margin-top: 0px;
    flex-direction: row;
    color: #586762;
}

main ul.buttons {
    position: sticky;
    top: 130px;
    z-index: 2;
}

ul.buttons {
    display: flex;
    flex-direction: column;
    justify-content:start;
}

.button-ok {
    display: flex;
    width: 268px;
    background: #35D699;
    border: 1px solid #56E991;
    box-sizing: border-box;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 10px;
    margin: -7px -20px;
    padding: 7px 10px;
}

.button-ok:focus {
    box-shadow: none;
    background: rgb(46, 184, 131);
}

ul.buttons li {
    display: flex;
    flex-direction: column;
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;

    margin: 5px 0px;
    padding: 7px 10px;
}

.buttons .sub-menu{
    display: none;
}

.buttons > li:hover .sub-menu {
    display: flex;
    flex-direction: column;
    z-index: 9;
}

.back-sub-menu {
    display: none;

}

ul.buttons > li:hover .back-sub-menu {
    display: flex;
    flex-direction: column;
    z-index: 8;
    min-width: 275px;
    min-height: 45px;
    background: rgb(234, 255, 247);
    border-radius: 10px;
    padding: 5px;
    position: absolute;
    left: 150px;
}

ul.buttons > li:hover .back-sub-menu li {
    display: flex;
    flex-direction: column;
    z-index: 8;
    margin-left: -25px;
}

.part1-submenu,
.part7-submenu,
.part8-submenu {
    top: 20px;
}

.part2-submenu{
    top: 70px;
}

.part3-submenu{
    top: 10px;
}

.part5-submenu{
    top: 150px;
}

.part6-submenu{
    top: 190px;
}

.part9-submenu{
    top: 300px;
}

.part10-submenu{
    top: 352px;
}

ul.buttons li .sub-menu .back-sub-menu li {
    margin-left: 13px;
}

ul.buttons li a {
    color: #586762;
    text-decoration: none;
}

.small-text {
    display: flex;
    flex-direction: column;
    max-width: 80%;
    min-width: 70%;
    min-height: 10px;

    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 20px;

    background: #35D699;
    border-radius: 10px;
    margin: 20px 35px;
    padding: 10px;   
}

.small-text P { 
    text-indent: 2.5em; /* Отступ первой строки */
    text-align: justify; /* Выравнивание по ширине */
    text-align: justify;

    color: #FFFFFF;
    margin:  -10px 10px 15px 10px;
   }

.small-text .more {
    font-weight: bold;
    font-size: 18px;
    text-align: left;
    cursor: pointer;
    margin: 10px;
}

.small-text .more::after {
    content: 'Показать полностью';
    vertical-align: bottom;
}

.small-text h3 {
    font-weight: bold;
    font-size: 28px;
    text-align: center;
    margin: 5px 0 15px 0;
}

.small-text h2 {
    font-weight: normal;
    font-style: italic;
    font-size: 20px;
    text-align: center;
    margin: 5px 0 15px 0;
    color: #FFFFFF;
}

main .more-text {
    max-width: 80%;
    min-width: 70%;
    min-height: 5%;
    background: #35D699;
    border-radius: 10px;
    margin: 20px 50px;
    padding: 1px 10px;   
}

.bookmark{
    max-width: 80%;
    min-width: 70%;
    border-radius: 10px;
    background: #586762;
    margin: 20px 35px;
    padding: 1px 10px; 
}

.bookmark h1 {
    font-family: Roboto;
    font-style: normal;
    font-weight: bold;
    font-size: 28px;
    text-align: center;

    color: #FFFFFF;
    margin: 10px;
}

.show-menu {
    position: sticky;
    top: 135px;
    display: flex;
    flex-direction: column;
    width: 40px;
    height: 50px;

    background: #35D699;
    border: 1px solid #56E991;
    border-radius: 10px;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 10px;
    text-align: center;

    color: #586762;
    text-decoration: none;
    cursor: pointer;
    margin-left: 15px;
    margin-top: 20px;
}

.show-menu:active {
    box-shadow: none;
    background: rgb(46, 184, 131);
}

.to-hide::after {
    content: '';
    margin: 10px 20px 0 -5px;
    border: 15px solid transparent;
    border-right: 20px solid #586762;
    border-radius: 15px;
}

.to-show::after {
    content: '';
    margin: 10px 0px 0 10px;
    border: 15px solid transparent;
    border-left: 20px solid #586762;
    border-radius: 15px;
}

.show-menu:focus {
    box-shadow: none;
    background: rgb(46, 184, 131);
}

.small-text-ul li{
    color: #FFFFFF;
    list-style-type: disc;
}

.small-text-ul {
    margin-top: -7px;
    margin-left: 1em;
    margin-right: 10px;
}

.photo {
    margin: auto;
    margin-bottom: 10px;
    padding-bottom: 20px;
    max-width: 100%;
}

.small-text-none-ul li{
    color: #FFFFFF;
    list-style-type: none;
}

.small-text-none-ul {
    margin-top: -7px;
    margin-left: 20px;
}

.small-text ol {
    margin-top: -5px;
}

.small-text ol li {
    color: #FFFFFF;
    list-style-type: decimal;
    margin-left: 1em;
    text-align: justify;
    margin-right: 10px;
}

.image-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: auto;
    vertical-align: top;
}

.small-text code {
    margin: 0px 10px 20px 10px;
    border: 2px solid #586762;
    border-radius: 10px;
    padding: 10px;
    text-align: center;
}

.small-text ol .photo {
    display: flex;
    justify-content: center;
    margin: auto;
    margin-top: 15px;
    margin-bottom: 0px;
    padding-bottom: 20px;
    max-width: 100%;
}

footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: auto;
}

.footer-style{
    flex: 0 0 auto;
    background-color: #35D699;
    max-width: 100%;
    min-width: 100%;
    min-height: 60px;
    padding: 0;
    margin-top: 80px;
}

.footer-style .footer-1 {
    text-align: center;
    color: #FFFFFF;
    margin-top: 5px;
    padding-left: 10px;
}

.footer-style .footer-1 p{
    margin-bottom: 0;
}

.footer-style .footer-2 {
    max-width: 50%;
    text-align: right;
    color: #FFFFFF;
    margin-top: 5px;
    margin-left: 30px;
    padding-right: 10px;
}


.mail {
    text-align: center;
    text-decoration: none;
    color: #FFFFFF;
}

.mail:hover {
    text-decoration: underline;
    color: #586762;
}

table.links{
    border: 2px solid #586762;
    border-collapse: collapse;
    margin: 10px;
    font-size: 16px;
}

table.links th {
    border: 2px solid #586762;
}

table.links td {
    border: 2px solid #586762;
    text-align: left;
    padding: 0 5px 5px 10px;
}

table.links td.first {
    width: 35%;
}

table.links td.second {
    width: 10%;
    text-align: right;
}

table.links td.third {
    width: 35%;
}

table.links td.fourth {
    width: 20%;
}

.start {

    display: flex;
    flex-direction: column;
    max-width: 80%;
    min-width: 70%;
    min-height: 10px;

    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 20px;

    background: #35D699;
    border-radius: 10px;
    margin: 20px 35px;
    padding: 10px;   
}

.start P { 
    text-indent: 2.5em; /* Отступ первой строки */
    text-align: justify; /* Выравнивание по ширине */
    text-align: justify;

    color: #FFFFFF;
    margin:  0px 10px 5px 10px;
   }



.long-width {
    max-width: 90%;
}



@media screen and (max-width: 1000px) {
    .small-text {
        font-size: 40px;
    }

    ul.buttons li {
        font-size: 26px;
        margin: 15px 0px;
        padding: 7px 10px;
    }

    ul.buttons li:first-child {
        font-size: 26px;
        margin: 20px 0px;
        margin-top: 3px;
        padding: 7px 10px;
    }

    .part1-submenu,
    .part7-submenu,
    .part8-submenu,
    .part3-submenu{
        top: 50px;
    }

    .part9-submenu{
        top: 800px;
    }
    
    .part10-submenu{
        top: 852px;
    }

    .show-menu {
        min-width: 70px;
        height: 70px;
    }

    .to-hide::after {
        margin: 20px 25px 0 -5px;
    }
    
    .to-show::after {
        margin: 20px 0px 0 25px;
    }

}